org.eclipse.modisco.jee.queries.annotations.jpa

## Class IsColumn

- java.lang.Object
- - org.eclipse.modisco.jee.queries.annotations.jpa.IsColumn

All Implemented Interfaces:
  IJavaModelQuery<BodyDeclaration,java.lang.Boolean>

    public class IsColumn
    extends java.lang.Object
    implements IJavaModelQuery<BodyDeclaration,java.lang.Boolean>

### Constructor Summary

Constructors
Constructor and Description
`IsColumn()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Boolean` `evaluate(BodyDeclaration context, ParameterValueList parameterValues)` This method must be overridden by each sub class to implement query evaluation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsColumn

    public IsColumn()

### Method Detail

#### evaluate

    public java.lang.Boolean evaluate(BodyDeclaration context,
                                      ParameterValueList parameterValues)
                               throws ModelQueryExecutionException

Description copied from interface: `IJavaModelQuery`
This method must be overridden by each sub class to implement query evaluation.

Specified by:
  `evaluate` in interface `IJavaModelQuery<BodyDeclaration,java.lang.Boolean>`
Parameters:
  `context` - The query evaluation context
  `parameterValues` - The query parameter values
Returns:
  the result of the type R
Throws:
  `ModelQueryExecutionException`